// src/createZodFetcher.ts
var defaultFetcher = async (...args) => {
  const response = await fetch(...args);
  if (!response.ok) {
    throw new Error(`Request failed with status ${response.status}`);
  }
  return response.json();
};
function createZodFetcher(fetcher = defaultFetcher) {
  return async (schema, ...args) => {
    const response = await fetcher(...args);
    return schema.parse(response);
  };
}
export {
  createZodFetcher,
  defaultFetcher
};
